/*

* Copyright 2009 by GRUPO IE, Inc.

* 

* Private and Confidential

* Code contained in this document is the property of GRUPO IE. 

* It is for the exclusive use of designated employees 

* and not for distribution without prior written

* authorization.

*/

/*

* Q02bQ022OT00.java

*

* Created on 26/03/09 05:01:03

*/

package q02b.exe.tablasBD;

import java.sql.SQLException;

import java.sql.ResultSet;

import java.sql.Connection;

import q02b.exe.arquitectura.dataobjects.Q02bDAOException;

import q02b.exe.arquitectura.utils.tablasBD.*;

import java.util.ArrayList;

//import java.math.BigDecimal;



/*

*

* @author automatic generated

* @version 1.0

*/

public class Q02bTablaBDQ022OS00 extends Q02bTablaBD implements Q02bITablaBDQ022OS00 {

    private static final long serialVersionUID =1L;

    /** Constante para la propiedad Q022OT00_COD */

    public final static int COLUMN_Q022OT00_COD = 1;

    /** Constante para la propiedad Q022OT00_COD */

    public final static String NOMCOLUMN_Q022OT00_COD = "Q022OT00_COD";

    /** Constante para la propiedad Q022OT00_COD */

    public final static int TAM_MAXIMO_Q022OT00_COD = 50;

    /** Constante para la propiedad Q022OT00_TABLE */

    public final static int COLUMN_Q022OT00_TABLE = 2;

    /** Constante para la propiedad Q022OT00_TABLE */

    public final static String NOMCOLUMN_Q022OT00_TABLE = "Q022OT00_TABLE";

    /** Constante para la propiedad Q022OT00_TABLE */

    public final static int TAM_MAXIMO_Q022OT00_TABLE = 50;

    /** Constante para la propiedad Q022OT00_TITULO */

    public final static int COLUMN_Q022OT00_TITULO = 3;

    /** Constante para la propiedad Q022OT00_TITULO */

    public final static String NOMCOLUMN_Q022OT00_TITULO = "Q022OT00_TITULO";

    /** Constante para la propiedad Q022OT00_TITULO */

    public final static int TAM_MAXIMO_Q022OT00_TITULO = 100;

    /** Constante para la propiedad Q022OT00_PLANTILLA */

    public final static int COLUMN_Q022OT00_PLANTILLA = 4;

    /** Constante para la propiedad Q022OT00_PLANTILLA */

    public final static String NOMCOLUMN_Q022OT00_PLANTILLA = "Q022OT00_PLANTILLA";

    /** Constante para la propiedad Q022OT00_PLANTILLA */

    public final static int TAM_MAXIMO_Q022OT00_PLANTILLA = 50;

    /** Constante para la propiedad Q022OT00_FIXED_WHERE */

    public final static int COLUMN_Q022OT00_FIXED_WHERE = 5;

    /** Constante para la propiedad Q022OT00_FIXED_WHERE */

    public final static String NOMCOLUMN_Q022OT00_FIXED_WHERE = "Q022OT00_FIXED_WHERE";

    /** Constante para la propiedad Q022OT00_FIXED_WHERE */

    public final static int TAM_MAXIMO_Q022OT00_FIXED_WHERE = 500;

    /** Constante para la propiedad Q022OT00_ORDER */

    public final static int COLUMN_Q022OT00_ORDER = 6;

    /** Constante para la propiedad Q022OT00_ORDER */

    public final static String NOMCOLUMN_Q022OT00_ORDER = "Q022OT00_ORDER";

    /** Constante para la propiedad Q022OT00_ORDER */

    public final static int TAM_MAXIMO_Q022OT00_ORDER = 50;

    /** Constante para la propiedad Q022OT00_DESCRIPCION */

    public final static int COLUMN_Q022OT00_DESCRIPCION = 7;

    /** Constante para la propiedad Q022OT00_DESCRIPCION */

    public final static String NOMCOLUMN_Q022OT00_DESCRIPCION = "Q022OT00_DESCRIPCION";

    /** Constante para la propiedad Q022OT00_DESCRIPCION */

    public final static int TAM_MAXIMO_Q022OT00_DESCRIPCION = 500;

    /** Constante para la propiedad NUMCOLUMNAS */

    public final static int COLUMN_NUMCOLUMNAS = 7;

    protected StringBuffer queryLog = new StringBuffer();

    /** Holds value of property Q022OT00_COD*/

    protected String Q022OT00_COD = null;

    /** Holds value of property Q022OT00_COD_WHERE */

    protected String Q022OT00_COD_WHERE = null;

    protected boolean Q022OT00_COD_MODIF = false;

    /** Holds value of property Q022OT00_TABLE*/

    protected String Q022OT00_TABLE = null;

    /** Holds value of property Q022OT00_TABLE_WHERE */

    protected String Q022OT00_TABLE_WHERE = null;

    protected boolean Q022OT00_TABLE_MODIF = false;

    /** Holds value of property Q022OT00_TITULO*/

    protected String Q022OT00_TITULO = null;

    /** Holds value of property Q022OT00_TITULO_WHERE */

    protected String Q022OT00_TITULO_WHERE = null;

    protected boolean Q022OT00_TITULO_MODIF = false;

    /** Holds value of property Q022OT00_PLANTILLA*/

    protected String Q022OT00_PLANTILLA = null;

    /** Holds value of property Q022OT00_PLANTILLA_WHERE */

    protected String Q022OT00_PLANTILLA_WHERE = null;

    protected boolean Q022OT00_PLANTILLA_MODIF = false;

    /** Holds value of property Q022OT00_FIXED_WHERE*/

    protected String Q022OT00_FIXED_WHERE = null;

    /** Holds value of property Q022OT00_FIXED_WHERE_WHERE */

    protected String Q022OT00_FIXED_WHERE_WHERE = null;

    protected boolean Q022OT00_FIXED_WHERE_MODIF = false;

    /** Holds value of property Q022OT00_ORDER*/

    protected String Q022OT00_ORDER = null;

    /** Holds value of property Q022OT00_ORDER_WHERE */

    protected String Q022OT00_ORDER_WHERE = null;

    protected boolean Q022OT00_ORDER_MODIF = false;

    /** Holds value of property Q022OT00_DESCRIPCION*/

    protected String Q022OT00_DESCRIPCION = null;

    /** Holds value of property Q022OT00_DESCRIPCION_WHERE */

    protected String Q022OT00_DESCRIPCION_WHERE = null;

    protected boolean Q022OT00_DESCRIPCION_MODIF = false;

    /** Holds value of property numMaxRegistros. */

    protected int  numMaxRegistros = 0;

    /** Holds value of property numInicio. */

    protected int  numInicio = 0;

    /** Holds value of property numFinal. */

    protected int  numFinal = 0;

    /** Holds value of property orderBy. */

    protected String  orderBy = null;

    /** Holds value of property limitRows. */

    protected boolean  limitRows = false;

    /** Holds value of property aditionalWhere. */

    protected String  aditionalWhere = null;

    /** Holds value of property initialWhere. */

    protected String  initialWhere = null;

    /** Holds value of property fixedWhere. */

    protected String  fixedWhere = null;

    /** Holds value of property distinct. */

    protected String  distinct = null;

    /** Holds value of property groupBy. */

    protected String  groupBy = null;

    /** Holds value of property max. */

    protected String  max = null;

    /** Holds value of property fechaClase. */

    protected static String sFechaClase = "26/03/09 05:01:03";

    protected String columnas[] =  {"Q022OT00_COD", "Q022OT00_TABLE", "Q022OT00_TITULO", "Q022OT00_PLANTILLA", "Q022OT00_FIXED_WHERE", "Q022OT00_ORDER", "Q022OT00_DESCRIPCION"};

    protected int tipos[] =  {12, 12, 12, 12, 12, 12, 12};

    protected int longitudes[] =  {50, 50, 100, 50, 500, 50, 500};

    protected ArrayList columnasSelect = new ArrayList();

    protected StringBuffer sbColumnasSelect = new StringBuffer();

    protected ArrayList alias = new ArrayList();

    protected String columnasPK[] =  {"Q022OT00_COD", "Q022OT00_TABLE", "Q022OT00_TITULO", "Q022OT00_PLANTILLA", "Q022OT00_FIXED_WHERE", "Q022OT00_ORDER", "Q022OT00_DESCRIPCION"};

    protected String columnasFK[] =  {null};

    protected String tablasFK[] =  {null};

    protected boolean nullables[] =  {false,false,true,true,true,true,true};



    protected Class arrClases[]={java.sql.Connection.class};

    protected Object arrObjetos[]={connection};

    protected String tableFrom="Q022OS00";

    protected int regModif=0;

    protected boolean uncommittedRead=false;

    protected boolean forUpdate=false;

    protected Q02bITablaBDQ022OS00 iTablaBDQ022OS00 = null;

    /** Creates new Q022OT00 */

    public Q02bTablaBDQ022OS00() {

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Creates new Q022OS00 */

    public Q02bTablaBDQ022OS00(Connection con) {

        connection=con;

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Method reset */

    public void reset() {

        iTablaBDQ022OS00.setQ022OT00_COD(null);

        iTablaBDQ022OS00.setQ022OT00_COD_WHERE(null);

        iTablaBDQ022OS00.setQ022OT00_COD_MODIF(false);

        iTablaBDQ022OS00.setQ022OT00_TABLE(null);

        iTablaBDQ022OS00.setQ022OT00_TABLE_WHERE(null);

        iTablaBDQ022OS00.setQ022OT00_TABLE_MODIF(false);

        iTablaBDQ022OS00.setQ022OT00_TITULO(null);

        iTablaBDQ022OS00.setQ022OT00_TITULO_WHERE(null);

        iTablaBDQ022OS00.setQ022OT00_TITULO_MODIF(false);

        iTablaBDQ022OS00.setQ022OT00_PLANTILLA(null);

        iTablaBDQ022OS00.setQ022OT00_PLANTILLA_WHERE(null);

        iTablaBDQ022OS00.setQ022OT00_PLANTILLA_MODIF(false);

        iTablaBDQ022OS00.setQ022OT00_FIXED_WHERE(null);

        iTablaBDQ022OS00.setQ022OT00_FIXED_WHERE_WHERE(null);

        iTablaBDQ022OS00.setQ022OT00_FIXED_WHERE_MODIF(false);

        iTablaBDQ022OS00.setQ022OT00_ORDER(null);

        iTablaBDQ022OS00.setQ022OT00_ORDER_WHERE(null);

        iTablaBDQ022OS00.setQ022OT00_ORDER_MODIF(false);

        iTablaBDQ022OS00.setQ022OT00_DESCRIPCION(null);

        iTablaBDQ022OS00.setQ022OT00_DESCRIPCION_WHERE(null);

        iTablaBDQ022OS00.setQ022OT00_DESCRIPCION_MODIF(false);

        iTablaBDQ022OS00.setNumMaxRegistros(0);

        iTablaBDQ022OS00.setNumInicio(0);

        iTablaBDQ022OS00.setNumFinal(0);

        iTablaBDQ022OS00.setOrderBy(null);

        iTablaBDQ022OS00.setAditionalWhere(null);

        iTablaBDQ022OS00.setInitialWhere(null);

        iTablaBDQ022OS00.setFixedWhere(null);

        iTablaBDQ022OS00.setDistinct(null);

        iTablaBDQ022OS00.setMax(null);

        columnasSelect = null;

        tableFrom = "Q022OS00";

        iTablaBDQ022OS00.setUncommittedRead(false);

        iTablaBDQ022OS00.setForUpdate(false);

        iTablaBDQ022OS00.setGroupBy(null);

    }



    /** Method addColumnSelect(nombreColumna) 

    * @param nombreColumna New value of property columnasSelect.

    * Este método añade una nueva columna a mostrar en el resultado de la select

    * Añadir las columnas usando las constantes de la tabla

    */

    public void addColumnSelect(String nombreColumna) {

        iTablaBDQ022OS00.addColumnSelect(nombreColumna);

    }



    /** Method clearColumnsSelect() 

    * Este método vacia el ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void clearColumnsSelect() {

        iTablaBDQ022OS00.clearColumnsSelect();

    }



    /** Method setColumnsSelect(listaColumnas) 

    * Este método da valor al ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void setColumnsSelect(String listaColumnas) {

        iTablaBDQ022OS00.setColumnsSelect(listaColumnas);

    }



    /** Method setTableFrom(listaTablas) 

    * @param listaTablas New value of property tableFrom.

    * Este método añade la lista de tablas pasadas por parametro a la from .

    * Cada tabla de la lista debe ir separada por comas

    */

    public void setTableFrom(String listaTablas) {

        iTablaBDQ022OS00.setTableFrom(listaTablas);

    }



    /** Method getTableFrom() 

    * Este método devuelve un String con los nombres de las tablas sobres las q hacer la

    * from separadas por comas.

    */

    public String getTableFrom() {

        return iTablaBDQ022OS00.getTableFrom();

    }



    /** Method getRegModif() 

    * Este método devuelve un int con el nº de regs modificados

    */

    public int getRegModif() {

        return iTablaBDQ022OS00.getRegModif();

    }



    /** Method setUncommittedRead() 

    * Este método es válido SOLO EN DB2. Permite 'lecturas sucias' si se establece a true

    */

    public void setUncommittedRead(boolean ur) {

        iTablaBDQ022OS00.setUncommittedRead(ur);

    }



    /** Method getUncommittedRead() 

    * Este método es válido SOLO EN DB2.Devuelve el valor de UncommittedRead

    */

    public boolean getUncommittedRead() {

        return iTablaBDQ022OS00.getUncommittedRead();

    }



    /** Method setForUpdate() 

    * Este método permite añadir la clausula FOR UPDATE si se establece a true

    */

    public void setForUpdate(boolean fu) {

        iTablaBDQ022OS00.setForUpdate(fu);

    }



    /** Method getForUpdate() 

    * Este método devuelve el valor de forUpdate

    */

    public boolean getForUpdate() {

        return iTablaBDQ022OS00.getForUpdate();

    }



    /** Method setGroupBy(listaColumnas) 

    * @param listaColumnas New value of property groupBy.

    * Este método da el valor de la lista de columnas pasadas por parametro a la groupby .

    * Cada columna de la lista debe ir separada por comas

    */

    public void setGroupBy(String listaColumnas) {

             iTablaBDQ022OS00.setGroupBy(listaColumnas);

    }



    /** Method getGroupBy() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * groupBy separadas por comas.

    */

    public String getGroupBy() {

        return iTablaBDQ022OS00.getGroupBy();

    }



    /** Method getColumnsSelect() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * select separadas por comas.

    */

    public String getColumnsSelect() {

        return iTablaBDQ022OS00.getColumnsSelect();

    }



    /** Method select(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet select(String where)throws SQLException,Q02bDAOException  {

        return iTablaBDQ022OS00.select(where);

    }



    /** Method selectCount(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectCount(String where)throws SQLException  {

        return iTablaBDQ022OS00.selectCount(where);

    }



    /** Method selectDistinct(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct(String where)throws SQLException  {

        return iTablaBDQ022OS00.selectDistinct(where);

    }



    /** Method selectMax(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectMax(String where)throws SQLException  {

        return iTablaBDQ022OS00.selectMax(where);

    }



    /** Method select() 

    * @return Value of the resultSet.

    */

    public ResultSet select()throws SQLException,Q02bDAOException  {

        return iTablaBDQ022OS00.select();

    }



    /** Method selectCount() 

    * @return Value of the resultSet.

    */

    public ResultSet selectCount()throws SQLException  {

        return iTablaBDQ022OS00.selectCount();

    }



    /** Method selectDistinct() 

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct()throws SQLException  {

        return iTablaBDQ022OS00.selectDistinct();

    }



    /** Method selectMax() 

    * @return Value of the resultSet.

    */

    public ResultSet selectMax()throws SQLException  {

        return iTablaBDQ022OS00.selectMax();

    }



    /** Method update() */

    public void update()throws SQLException  {

        iTablaBDQ022OS00.update();

        }



    /** Method update(where) 

    * @param where New value of property WHERE.

    */

    public void update(String  where )throws SQLException  {

        iTablaBDQ022OS00.update(where);

    }



    /** Method delete(where) 

    * @param where New value of property WHERE.

    */

    public void delete(String where)throws SQLException  {

        iTablaBDQ022OS00.delete(where);

    }



    /** Method delete */

    public void delete()throws SQLException  {

        iTablaBDQ022OS00.delete();

    }



    /** Method insert */

    public void insert()throws SQLException  {

        iTablaBDQ022OS00.insert();

    }



    /** Setter for property Q022OT00_COD.

    * @param valor New value of propertyQ022OT00_COD.

    */

    public void setQ022OT00_COD(String valor) {

        if (iTablaBDQ022OS00==null){

        this.Q022OT00_COD=valor;

        if (valor==null){

            this.Q022OT00_COD_MODIF =true;

        }

        }else{

           iTablaBDQ022OS00.setQ022OT00_COD(valor);

           if (valor==null){

              iTablaBDQ022OS00.setQ022OT00_COD_MODIF(true);

           }

        }

    }



    public void setQ022OT00_COD_WHERE(String valor) {

        if (iTablaBDQ022OS00==null){

        this.Q022OT00_COD_WHERE=valor;

        }else{

           iTablaBDQ022OS00.setQ022OT00_COD_WHERE(valor);

        }

    }



    public void setQ022OT00_COD_MODIF(boolean valor) {

        if (iTablaBDQ022OS00==null){

        this.Q022OT00_COD_MODIF=valor;

        }else{

           iTablaBDQ022OS00.setQ022OT00_COD_MODIF(valor);

        }

    }



    /** Setter for property Q022OT00_TABLE.

    * @param valor New value of propertyQ022OT00_TABLE.

    */

    public void setQ022OT00_TABLE(String valor) {

        if (iTablaBDQ022OS00==null){

        this.Q022OT00_TABLE=valor;

        if (valor==null){

            this.Q022OT00_TABLE_MODIF =true;

        }

        }else{

           iTablaBDQ022OS00.setQ022OT00_TABLE(valor);

           if (valor==null){

              iTablaBDQ022OS00.setQ022OT00_TABLE_MODIF(true);

           }

        }

    }



    public void setQ022OT00_TABLE_WHERE(String valor) {

        if (iTablaBDQ022OS00==null){

        this.Q022OT00_TABLE_WHERE=valor;

        }else{

           iTablaBDQ022OS00.setQ022OT00_TABLE_WHERE(valor);

        }

    }



    public void setQ022OT00_TABLE_MODIF(boolean valor) {

        if (iTablaBDQ022OS00==null){

        this.Q022OT00_TABLE_MODIF=valor;

        }else{

           iTablaBDQ022OS00.setQ022OT00_TABLE_MODIF(valor);

        }

    }



    /** Setter for property Q022OT00_TITULO.

    * @param valor New value of propertyQ022OT00_TITULO.

    */

    public void setQ022OT00_TITULO(String valor) {

        if (iTablaBDQ022OS00==null){

        this.Q022OT00_TITULO=valor;

        if (valor==null){

            this.Q022OT00_TITULO_MODIF =true;

        }

        }else{

           iTablaBDQ022OS00.setQ022OT00_TITULO(valor);

           if (valor==null){

              iTablaBDQ022OS00.setQ022OT00_TITULO_MODIF(true);

           }

        }

    }



    public void setQ022OT00_TITULO_WHERE(String valor) {

        if (iTablaBDQ022OS00==null){

        this.Q022OT00_TITULO_WHERE=valor;

        }else{

           iTablaBDQ022OS00.setQ022OT00_TITULO_WHERE(valor);

        }

    }



    public void setQ022OT00_TITULO_MODIF(boolean valor) {

        if (iTablaBDQ022OS00==null){

        this.Q022OT00_TITULO_MODIF=valor;

        }else{

           iTablaBDQ022OS00.setQ022OT00_TITULO_MODIF(valor);

        }

    }



    /** Setter for property Q022OT00_PLANTILLA.

    * @param valor New value of propertyQ022OT00_PLANTILLA.

    */

    public void setQ022OT00_PLANTILLA(String valor) {

        if (iTablaBDQ022OS00==null){

        this.Q022OT00_PLANTILLA=valor;

        if (valor==null){

            this.Q022OT00_PLANTILLA_MODIF =true;

        }

        }else{

           iTablaBDQ022OS00.setQ022OT00_PLANTILLA(valor);

           if (valor==null){

              iTablaBDQ022OS00.setQ022OT00_PLANTILLA_MODIF(true);

           }

        }

    }



    public void setQ022OT00_PLANTILLA_WHERE(String valor) {

        if (iTablaBDQ022OS00==null){

        this.Q022OT00_PLANTILLA_WHERE=valor;

        }else{

           iTablaBDQ022OS00.setQ022OT00_PLANTILLA_WHERE(valor);

        }

    }



    public void setQ022OT00_PLANTILLA_MODIF(boolean valor) {

        if (iTablaBDQ022OS00==null){

        this.Q022OT00_PLANTILLA_MODIF=valor;

        }else{

           iTablaBDQ022OS00.setQ022OT00_PLANTILLA_MODIF(valor);

        }

    }



    /** Setter for property Q022OT00_FIXED_WHERE.

    * @param valor New value of propertyQ022OT00_FIXED_WHERE.

    */

    public void setQ022OT00_FIXED_WHERE(String valor) {

        if (iTablaBDQ022OS00==null){

        this.Q022OT00_FIXED_WHERE=valor;

        if (valor==null){

            this.Q022OT00_FIXED_WHERE_MODIF =true;

        }

        }else{

           iTablaBDQ022OS00.setQ022OT00_FIXED_WHERE(valor);

           if (valor==null){

              iTablaBDQ022OS00.setQ022OT00_FIXED_WHERE_MODIF(true);

           }

        }

    }



    public void setQ022OT00_FIXED_WHERE_WHERE(String valor) {

        if (iTablaBDQ022OS00==null){

        this.Q022OT00_FIXED_WHERE_WHERE=valor;

        }else{

           iTablaBDQ022OS00.setQ022OT00_FIXED_WHERE_WHERE(valor);

        }

    }



    public void setQ022OT00_FIXED_WHERE_MODIF(boolean valor) {

        if (iTablaBDQ022OS00==null){

        this.Q022OT00_FIXED_WHERE_MODIF=valor;

        }else{

           iTablaBDQ022OS00.setQ022OT00_FIXED_WHERE_MODIF(valor);

        }

    }



    /** Setter for property Q022OT00_ORDER.

    * @param valor New value of propertyQ022OT00_ORDER.

    */

    public void setQ022OT00_ORDER(String valor) {

        if (iTablaBDQ022OS00==null){

        this.Q022OT00_ORDER=valor;

        if (valor==null){

            this.Q022OT00_ORDER_MODIF =true;

        }

        }else{

           iTablaBDQ022OS00.setQ022OT00_ORDER(valor);

           if (valor==null){

              iTablaBDQ022OS00.setQ022OT00_ORDER_MODIF(true);

           }

        }

    }



    public void setQ022OT00_ORDER_WHERE(String valor) {

        if (iTablaBDQ022OS00==null){

        this.Q022OT00_ORDER_WHERE=valor;

        }else{

           iTablaBDQ022OS00.setQ022OT00_ORDER_WHERE(valor);

        }

    }



    public void setQ022OT00_ORDER_MODIF(boolean valor) {

        if (iTablaBDQ022OS00==null){

        this.Q022OT00_ORDER_MODIF=valor;

        }else{

           iTablaBDQ022OS00.setQ022OT00_ORDER_MODIF(valor);

        }

    }



    /** Setter for property Q022OT00_DESCRIPCION.

    * @param valor New value of propertyQ022OT00_DESCRIPCION.

    */

    public void setQ022OT00_DESCRIPCION(String valor) {

        if (iTablaBDQ022OS00==null){

        this.Q022OT00_DESCRIPCION=valor;

        if (valor==null){

            this.Q022OT00_DESCRIPCION_MODIF =true;

        }

        }else{

           iTablaBDQ022OS00.setQ022OT00_DESCRIPCION(valor);

           if (valor==null){

              iTablaBDQ022OS00.setQ022OT00_DESCRIPCION_MODIF(true);

           }

        }

    }



    public void setQ022OT00_DESCRIPCION_WHERE(String valor) {

        if (iTablaBDQ022OS00==null){

        this.Q022OT00_DESCRIPCION_WHERE=valor;

        }else{

           iTablaBDQ022OS00.setQ022OT00_DESCRIPCION_WHERE(valor);

        }

    }



    public void setQ022OT00_DESCRIPCION_MODIF(boolean valor) {

        if (iTablaBDQ022OS00==null){

        this.Q022OT00_DESCRIPCION_MODIF=valor;

        }else{

           iTablaBDQ022OS00.setQ022OT00_DESCRIPCION_MODIF(valor);

        }

    }



    /** Getter for property Q022OT00_COD.

    * @return Value of property Q022OT00_COD.

    */

    public String getQ022OT00_COD() {

        if (iTablaBDQ022OS00==null){

            return this.Q022OT00_COD;

        }else{

           return iTablaBDQ022OS00.getQ022OT00_COD();

        }

    }



    /** Getter for property Q022OT00_COD_WHERE.

    * @return Value of property Q022OT00_COD_WHERE.

    */

    public String getQ022OT00_COD_WHERE() {

        if (iTablaBDQ022OS00==null){

            return this.Q022OT00_COD_WHERE;

        }else{

           return iTablaBDQ022OS00.getQ022OT00_COD_WHERE();

        }

    }



    /** Getter for property Q022OT00_TABLE.

    * @return Value of property Q022OT00_TABLE.

    */

    public String getQ022OT00_TABLE() {

        if (iTablaBDQ022OS00==null){

            return this.Q022OT00_TABLE;

        }else{

           return iTablaBDQ022OS00.getQ022OT00_TABLE();

        }

    }



    /** Getter for property Q022OT00_TABLE_WHERE.

    * @return Value of property Q022OT00_TABLE_WHERE.

    */

    public String getQ022OT00_TABLE_WHERE() {

        if (iTablaBDQ022OS00==null){

            return this.Q022OT00_TABLE_WHERE;

        }else{

           return iTablaBDQ022OS00.getQ022OT00_TABLE_WHERE();

        }

    }



    /** Getter for property Q022OT00_TITULO.

    * @return Value of property Q022OT00_TITULO.

    */

    public String getQ022OT00_TITULO() {

        if (iTablaBDQ022OS00==null){

            return this.Q022OT00_TITULO;

        }else{

           return iTablaBDQ022OS00.getQ022OT00_TITULO();

        }

    }



    /** Getter for property Q022OT00_TITULO_WHERE.

    * @return Value of property Q022OT00_TITULO_WHERE.

    */

    public String getQ022OT00_TITULO_WHERE() {

        if (iTablaBDQ022OS00==null){

            return this.Q022OT00_TITULO_WHERE;

        }else{

           return iTablaBDQ022OS00.getQ022OT00_TITULO_WHERE();

        }

    }



    /** Getter for property Q022OT00_PLANTILLA.

    * @return Value of property Q022OT00_PLANTILLA.

    */

    public String getQ022OT00_PLANTILLA() {

        if (iTablaBDQ022OS00==null){

            return this.Q022OT00_PLANTILLA;

        }else{

           return iTablaBDQ022OS00.getQ022OT00_PLANTILLA();

        }

    }



    /** Getter for property Q022OT00_PLANTILLA_WHERE.

    * @return Value of property Q022OT00_PLANTILLA_WHERE.

    */

    public String getQ022OT00_PLANTILLA_WHERE() {

        if (iTablaBDQ022OS00==null){

            return this.Q022OT00_PLANTILLA_WHERE;

        }else{

           return iTablaBDQ022OS00.getQ022OT00_PLANTILLA_WHERE();

        }

    }



    /** Getter for property Q022OT00_FIXED_WHERE.

    * @return Value of property Q022OT00_FIXED_WHERE.

    */

    public String getQ022OT00_FIXED_WHERE() {

        if (iTablaBDQ022OS00==null){

            return this.Q022OT00_FIXED_WHERE;

        }else{

           return iTablaBDQ022OS00.getQ022OT00_FIXED_WHERE();

        }

    }



    /** Getter for property Q022OT00_FIXED_WHERE_WHERE.

    * @return Value of property Q022OT00_FIXED_WHERE_WHERE.

    */

    public String getQ022OT00_FIXED_WHERE_WHERE() {

        if (iTablaBDQ022OS00==null){

            return this.Q022OT00_FIXED_WHERE_WHERE;

        }else{

           return iTablaBDQ022OS00.getQ022OT00_FIXED_WHERE_WHERE();

        }

    }



    /** Getter for property Q022OT00_ORDER.

    * @return Value of property Q022OT00_ORDER.

    */

    public String getQ022OT00_ORDER() {

        if (iTablaBDQ022OS00==null){

            return this.Q022OT00_ORDER;

        }else{

           return iTablaBDQ022OS00.getQ022OT00_ORDER();

        }

    }



    /** Getter for property Q022OT00_ORDER_WHERE.

    * @return Value of property Q022OT00_ORDER_WHERE.

    */

    public String getQ022OT00_ORDER_WHERE() {

        if (iTablaBDQ022OS00==null){

            return this.Q022OT00_ORDER_WHERE;

        }else{

           return iTablaBDQ022OS00.getQ022OT00_ORDER_WHERE();

        }

    }



    /** Getter for property Q022OT00_DESCRIPCION.

    * @return Value of property Q022OT00_DESCRIPCION.

    */

    public String getQ022OT00_DESCRIPCION() {

        if (iTablaBDQ022OS00==null){

            return this.Q022OT00_DESCRIPCION;

        }else{

           return iTablaBDQ022OS00.getQ022OT00_DESCRIPCION();

        }

    }



    /** Getter for property Q022OT00_DESCRIPCION_WHERE.

    * @return Value of property Q022OT00_DESCRIPCION_WHERE.

    */

    public String getQ022OT00_DESCRIPCION_WHERE() {

        if (iTablaBDQ022OS00==null){

            return this.Q022OT00_DESCRIPCION_WHERE;

        }else{

           return iTablaBDQ022OS00.getQ022OT00_DESCRIPCION_WHERE();

        }

    }



    /** Setter for property idConexion.

    * @param valor New value of property idConexion.

    */

    public void setIdConexion(String valor) {

        if (iTablaBDQ022OS00==null){

           this.idConexion = valor;

        }else{

           iTablaBDQ022OS00.setIdConexion(valor);

        }

    }



    /** Getter for property fechaClase.

    * @return Value of property fechaClase.

    */

    public String getFechaClase() {

        if (iTablaBDQ022OS00==null){

           return sFechaClase;

        }else{

           return iTablaBDQ022OS00.getFechaClase();

        }

    }



    /** Getter for property idConexion.

    * @return Value of property idConexion.

    */

    public String getIdConexion() {

        if (iTablaBDQ022OS00==null){

           return this.idConexion;

        }else{

           return iTablaBDQ022OS00.getIdConexion();

        }

    }



    /** Getter for property queryLog.

    * @return Value of property queryLog.

    * variable donde se guarda la ultima sentencia ejecutada

    */

    public String getQueryLog() {

        if (iTablaBDQ022OS00==null){

           return this.queryLog.toString();

        }else{

           return iTablaBDQ022OS00.getQueryLog();

        }

    }



    /** Setter for property numInicio.

    * @param valor New value of property numInicio.

    */

    public void setNumInicio(int valor) {

        if (iTablaBDQ022OS00==null){

        this.numInicio = valor;

        }else{

           iTablaBDQ022OS00.setNumInicio(valor);

        }

    }



    /** Getter for property numInicio.

    * @return Value of property numInicio.

    */

    public int getNumInicio() {

        if (iTablaBDQ022OS00==null){

           return this.numInicio;

        }else{

           return iTablaBDQ022OS00.getNumInicio();

        }

    }



    /** Setter for property numFinal.

    * @param valor New value of property numFinal.

    */

    public void setNumFinal(int valor) {

        if (iTablaBDQ022OS00==null){

        this.numFinal = valor;

        }else{

           iTablaBDQ022OS00.setNumFinal(valor);

        }

    }



    /** Getter for property numFinal.

    * @return Value of property numFinal.

    */

    public int getNumFinal() {

        if (iTablaBDQ022OS00==null){

           return this.numFinal;

        }else{

           return iTablaBDQ022OS00.getNumFinal();

        }

    }



    /** Setter for property numMaxRegistros.

    * @param valor New value of property numMaxRegistros.

    */

    public void setNumMaxRegistros(int valor) {

        if (iTablaBDQ022OS00==null){

        this.numMaxRegistros = valor;

        }else{

           iTablaBDQ022OS00.setNumMaxRegistros(valor);

        }

    }



    /** Getter for property numMaxRegistros.

    * @return Value of property numMaxRegistros.

    */

    public int getNumMaxRegistros() {

        if (iTablaBDQ022OS00==null){

           return this.numMaxRegistros;

        }else{

           return iTablaBDQ022OS00.getNumMaxRegistros();

        }

    }



    /** Setter for property limitRows.

    * @param valor New value of property limitRows.

    */

    public void setLimitRows(boolean valor) {

        if (iTablaBDQ022OS00==null){

        this.limitRows = valor;

        }else{

           iTablaBDQ022OS00.setLimitRows(valor);

        }

    }



    /** Getter for property limitRows.

    * @return Value of property limitRows.

    */

    public boolean getLimitRows() {

        if (iTablaBDQ022OS00==null){

           return this.limitRows;

        }else{

           return iTablaBDQ022OS00.getLimitRows();

        }

    }



    /** Getter for property connection.

    * @return Value of property connection.

    */

    public Connection getConn() {

        if (iTablaBDQ022OS00==null){

           return this.connection;

        }else{

           return iTablaBDQ022OS00.getConn();

        }

    }



    /** Setter for property orderBy.

    * @param valor New value of property orderBy.

    */

    public void setOrderBy(String valor) {

        if (iTablaBDQ022OS00==null){

           this.orderBy = valor;

        }else{

           iTablaBDQ022OS00.setOrderBy(valor);

        }

    }



    /** Getter for property orderBy.

    * @return Value of property orderBy.

    */

    public String getOrderBy() {

        if (iTablaBDQ022OS00==null){

           return this.orderBy;

        }else{

           return iTablaBDQ022OS00.getOrderBy();

        }

    }



    /** Setter for property aditionalWhere.

    * @param valor New value of property aditionalWhere.

    */

    public void setAditionalWhere(String valor) {

        if (iTablaBDQ022OS00==null){

           this.aditionalWhere = valor;

        }else{

           iTablaBDQ022OS00.setAditionalWhere(valor);

        }

    }



    /** Getter for property aditionalWhere.

    * @return Value of property aditionalWhere.

    */

    public String getAditionalWhere() {

        if (iTablaBDQ022OS00==null){

           return this.aditionalWhere;

        }else{

           return iTablaBDQ022OS00.getAditionalWhere();

        }

    }



    /** Getter for property initialWhere.

    * @return Value of property initialWhere.

    */

    public String getInitialWhere() {

        if (iTablaBDQ022OS00==null){

           return this.initialWhere;

        }else{

           return iTablaBDQ022OS00.getInitialWhere();

        }

    }



    /** Setter for property initialWhere.

    * @param valor New value of property initialWhere.

    */

    public void setInitialWhere(String valor) {

        if (iTablaBDQ022OS00==null){

           this.initialWhere = valor;

        }else{

           iTablaBDQ022OS00.setInitialWhere(valor);

        }

    }



    /** Getter for property fixedWhere.

    * @return Value of property fixedWhere.

    */

    public String getFixedWhere() {

        if (iTablaBDQ022OS00==null){

           return this.fixedWhere;

        }else{

           return iTablaBDQ022OS00.getFixedWhere();

        }

    }



    /** Setter for property fixedWhere.

    * @param valor New value of property fixedWhere.

    */

    public void setFixedWhere(String valor) {

        if (iTablaBDQ022OS00==null){

           this.fixedWhere = valor;

        }else{

           iTablaBDQ022OS00.setFixedWhere(valor);

        }

    }



    /** Setter for property distinct.

    * @param valor New value of property distinct.

    */

    public void setDistinct(String valor) {

        if (iTablaBDQ022OS00==null){

           this.distinct = valor;

        }else{

           iTablaBDQ022OS00.setDistinct(valor);

        }

    }



    /** Getter for property distinct.

    * @return Value of property distinct.

    */

    public String getDistinct() {

        if (iTablaBDQ022OS00==null){

           return this.distinct;

        }else{

           return iTablaBDQ022OS00.getDistinct();

        }

    }



    /** Setter for property max.

    * @param valor New value of property max.

    */

    public void setMax(String valor) {

        if (iTablaBDQ022OS00==null){

           this.max = valor;

        }else{

           iTablaBDQ022OS00.setMax(valor);

        }

    }



    /** Getter for property max.

    * @return Value of property max.

    */

    public String getMax() {

        if (iTablaBDQ022OS00==null){

           return this.max;

        }else{

           return iTablaBDQ022OS00.getMax();

        }

    }



    /** Method freeResources.

    * @return void.

    */

    public void freeResources() {

        if (iTablaBDQ022OS00==null){

           super.freeResources();

        }else{

           iTablaBDQ022OS00.freeResources();

        }

    }



    /** Method freeResourcesNotConnection.

    * @return void.

    */

    public void freeResourcesNotConnection() {

        if (iTablaBDQ022OS00==null){

           super.freeResourcesNotConnection();

        }else{

           iTablaBDQ022OS00.freeResourcesNotConnection();

        }

    }



    /** Method getColumnas.

    * @return String[].

    */

    public String[] getColumnas() {

        return this.columnas;

    }



    /** Method getColumnasPK.

    * @return String[].

    */

    public String[] getColumnasPK() {

        return this.columnasPK;

    }



    /** Method getTipos.

    * @return int[].

    */

    public int[] getTipos() {

        return this.tipos;

    }



}

